> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reset password

> Reset forgotten password



## OpenAPI

````yaml post /v1/users/reset-password
openapi: 3.0.0
info:
  title: Users API
  version: 1.0.0
  description: API for user management and authentication
servers: []
security:
  - bearerAuth: []
tags:
  - name: Registration
    description: User registration operations
  - name: Users
    description: User management operations
  - name: Credentials
    description: Credential management operations
  - name: Password
    description: Password management operations
paths:
  /v1/users/reset-password:
    post:
      tags:
        - Password
      summary: Reset password
      description: Reset forgotten password
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: 7b351217-ecc6-45ce-968f-bdf37069df2c
      responses:
        '200':
          description: Password reset successfully
        '400':
          $ref: '#/components/responses/ValidationError'
components:
  responses:
    ValidationError:
      description: Invalid input data
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: users.invalid_user_input
            message: Invalid user input data
  schemas:
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````